Subject: [DNSOP] Phishing? was Fwd: nthpermutation

From: Michael StJohns <[email-masked]>
Date: Sun, 25 Mar 2018 18:04:56 -0400

Apologies for dumping this here, but I figured if anyone had a clue 
they'd probably be on this list. Is anyone familiar with 
mopo-io.com.cn?   Is this a legitimate email (or company)?  If not, its 
one of the better phishing emails I've seen.

Thanks - Mike

-------- Forwarded Message --------
Subject: 	nthpermutation
Date: 	Thu, 22 Mar 2018 11:59:50 +0800
From: 	Sharon Han <[email-masked]>
To: 	msj <[email-masked]>

Mail

(Letter to the President or Brand Owner, thanks)

Dear Sir/Madam,

We are the department of Asian Domain Registration Service in China. I 
have something to confirm with you. We formally received an application 
on March 22, 2018 that a company which self-styled "Gulf East Ltd " were 
applying to register "nthpermutation" as their Brand Name and some 
domain names through our firm.

Now we are handling this registration, and after our initial checking, 
we found the name were similar to your company's, so we need to check 
with you whether your company has authorized that company to register 
these names. If you authorized this, we will finish the registration at 
once. If you did not authorize, please let us know within 5 workdays, so 
that we will handle this issue better. After the deadline we will 
unconditionally finish the registration for "Gulf East Ltd ". Looking 
forward to your prompt reply.

Best regards,

Sharon Han
Tel: 0086.5516349 1192
Fax: 0086.5516349 1192
Address:No.313, Changjiang Zhonglu, Hefei 230000 China

---

From: Ólafur Guðmundsson <[email-masked]>
Date: Sun, 25 Mar 2018 23:15:34 +0100

Mike,

This is a domain extortion attempt, they want you to buy the domain at
inflated price
https://security.stackexchange.com/questions/56290/is-this-domain-registration-service-email-a-scam#56304

Olafur

On Sun, Mar 25, 2018 at 11:04 PM, Michael StJohns <[email-masked]>
wrote:

> Apologies for dumping this here, but I figured if anyone had a clue they'd
> probably be on this list. Is anyone familiar with mopo-io.com.cn?   Is
> this a legitimate email (or company)?  If not, its one of the better
> phishing emails I've seen.
>
> Thanks - Mike
>
>
> From: Sharon Han <[email-masked]> <[email-masked]>
> To: msj <[email-masked]> <[email-masked]>
>
> have something to confirm with you. We formally received an application on
> March 22, 2018 that a company which self-styled "Gulf East Ltd " were
> applying to register "nthpermutation" as their Brand Name and some domain
> names through our firm.
>
> Now we are handling this registration, and after our initial checking, we
> found the name were similar to your company's, so we need to check with you
> whether your company has authorized that company to register these names.
> If you authorized this, we will finish the registration at once. If you did
> not authorize, please let us know within 5 workdays, so that we will handle
> this issue better. After the deadline we will unconditionally finish the
> registration for "Gulf East Ltd ". Looking forward to your prompt reply.
>
>
>
> Best regards,
>
> Sharon Han
> Tel: 0086.5516349 1192
> Fax: 0086.5516349 1192
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop
>
>

---

From: Michael StJohns <[email-masked]>
Date: Sun, 25 Mar 2018 18:51:29 -0400

> https://security.stackexchange.com/questions/56290/is-this-domain-registration-service-email-a-scam#56304

Thanks! I figured it had to be something like that.... Mike

>
>
> On Sun, Mar 25, 2018 at 11:04 PM, Michael StJohns 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     Apologies for dumping this here, but I figured if anyone had a
>     clue they'd probably be on this list. Is anyone familiar with
>     mopo-io.com.cn <http://mopo-io.com.cn>? Is this a legitimate email
>     (or company)?  If not, its one of the better phishing emails I've
>     seen.
>
>     Thanks - Mike
>
>
>
>     From: 	Sharon Han <[email-masked]> <mailto:[email-masked]>
>     To: 	msj <[email-masked]> <mailto:[email-masked]>
>
>
>
>     We are the department of Asian Domain Registration Service in
>     China. I have something to confirm with you. We formally received
>     an application on March 22, 2018 that a company which self-styled
>     "Gulf East Ltd " were applying to register "nthpermutation" as
>     their Brand Name and some domain names through our firm.
>
>     Now we are handling this registration, and after our initial
>     checking, we found the name were similar to your company's, so we
>     need to check with you whether your company has authorized that
>     company to register these names. If you authorized this, we will
>     finish the registration at once. If you did not authorize, please
>     let us know within 5 workdays, so that we will handle this issue
>     better. After the deadline we will unconditionally finish the
>     [email-masked] <mailto:[email-masked]>
>     <https://www.ietf.org/mailman/listinfo/dnsop>
>
>